Name:           man-pages
Version:        6.9.1
Release:        3
Summary:        Linux kernel and user-space C library interfaces documentation
License:        GPL-1.0-or-later AND GPL-2.0-only AND GPL-2.0-or-later AND BSD-2-Clause AND BSD-3-Clause AND BSD-4-Clause-UC AND LGPL-3.0-or-later AND LGPL-3.0-only AND LGPL-3.0-linking-exception AND MIT AND Spencer-94
URL:            http://www.kernel.org/doc/man-pages/
Source0:	https://git.kernel.org/pub/scm/docs/man-pages/man-pages.git/snapshot/%{name}-%{version}.tar.gz
BuildRequires:  gcc git make
BuildArch:      noarch

Conflicts: attr < 2.4.47-11
Conflicts: keyutils-libs < 1.5.10

Autoreq: no

%description
The Linux man-pages project documents the Linux kernel and C library interface that
are employed by user-space programs.With respect to the C library, the primary focus is
the GNU C library (glibc), although, where known, documentation of variations on
other C libraries available for Linux is also included.

%package_help

%prep
%autosetup -p1
sed -i 's/prefix      := \/usr\/local/prefix      := \/usr/g' ./share/mk/configure/directory_variables/install.mk

%build

%install
make install DESTDIR=%{buildroot}

%check

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%doc README Changes

%files help
%{_mandir}/man*/*
%exclude %{_mandir}/man3/crypt_r.3.gz
%exclude %{_mandir}/man3/crypt.3.gz
%exclude %{_mandir}/man7/bpf-helpers.7.gz
%exclude %{_mandir}/man3/MAX.3.gz
%exclude %{_mandir}/man3/MIN.3.gz

%changelog
* Tue Aug 13 2024 fuanan <fuanan3@h-partners.com> - 6.9.1-3
- License compliance rectification

* Tue Jul 16 2024 gengqihu <gengqihu2@h-partners.com> - 6.9.1-2
- revert changes in 'upgrade version to 6.9.1'

* Fri Jul  5 2024 warlcok <hunan@kylinos.cn> - 6.9.1-1
- upgrade version to 6.9.1

* Tue Dec 19 2023 renhongxun <renhongxun@h-partners.com> - 6.05.01-1
- upgrade version to 6.05.01

* Tue Jul 18 2023 zhangchenglin <zhangchenglin@kylinos.cn> - 6.04.01-1
- Update to version 6.04.01

* Wed Jan 18 2023 renhongxun <renhongxun@h-partners.com> - 6.02-1
- upgrade version to 6.02

* Thu Nov 10 2022 renhongxun <renhongxun@h-partners.com> - 5.13-3
- exclude some redundant pages from help

* Tue Mar 15 2022 renhongxun <renhongxun@h-partners.com> - 5.13-2
- split help pkg from main pkg

* Mon Nov 29 2021 liudabo <liudabo1@huawei.com> - 5.13-1
- upgrade version to 5.13

* Thu Jan 28 2021 liudabo <liudabo1@huawei.com> - 5.10-1
- upgrade version to 5.10

* Thu Dec 10 2020 shixuantong<shixuantong@huawei.com> - 5.02-6
- Modify Source0

* Wed Apr 8 2020 openEuler Buildteam <buildteam@openeuler.org> - 5.02-5
- Merge subpackages into main package

* Mon Feb 17 2020 openEuler Buildteam <buildteam@openeuler.org> - 5.02-4
- Add necessary BuildRequire

* Mon Jan 13 2020 openEuler Buildteam <buildteam@openeuler.org> - 5.02-3
- Delete useless files.

* Tue Sep 03 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.02-2
- remove conflictive man files

* Tue Sep 03 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.02-1
- Package init
